/* Container for list */
.em-prog-list {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(450px, 1fr));
    gap: 20px;
    margin-top: 30px;
}

/* Program Card */
.em-prog-card { 
    display: flex; 
    background: #f5f5f5; 
    border-radius: 20px; 
    overflow: hidden; 
    /*margin-bottom: 20px; */
    /*width: calc(50% - 10px);*/ /* محاسبه عرض برای دو ستونه بودن با در نظر گرفتن gap */
}
.em-prog-poster img { 
    width: 205px;
    height: 100%;
    object-fit: cover;
    border-radius: 26px;
}
.em-prog-content { 
    flex: 1; 
    padding: 12px 9px; 
    text-align: right; 
}
.em-prog-content h3 { 
    margin: 0 0 5px 0; 
    font-size: 1rem; 
    font-weight: 900; 
    color: #424242; 
}
.em-prog-subtitle { 
    margin: 0 0 20px 0; 
    font-size: 0.9rem; 
    color: #616161; 
    font-weight: normal; 
}
.em-prog-meta-list { 
    list-style: none; 
    padding: 0; 
    margin: 0; 
    color: #555; 
    font-size: 0.9rem; 
    line-height: 2; 
}
.em-prog-meta-list li {
    display: flex;
    gap: 8px;
    margin-bottom: 3px;
    align-items: center;
}
.em-prog-meta-list li img {
    width: 21px;
    filter: brightness(0) saturate(100%) invert(45%) sepia(0%) saturate(0%) hue-rotate(17deg) brightness(99%) contrast(88%);
}
.em-prog-meta-list li .play-icon {
    width: 18px;
}

/* Media Queries for Program Card */
@media (max-width: 1200px) {
    .em-prog-poster img { width: 150px; }   
}
@media (max-width: 768px) {
    .em-prog-card { width: 100%; }
    .em-prog-poster img { width: 215px; height: 100%; }
}
@media (max-width: 576px) {
    .em-prog-card { flex-direction: column; }
    .em-prog-poster img { width: 100%; height: auto; border-radius: 0; }
}
